diff --git a/tests/multinode-macros.at b/tests/multinode-macros.at
index 757917626..5b171885e 100644
--- a/tests/multinode-macros.at
+++ b/tests/multinode-macros.at
@@ -50,11 +50,11 @@ m_as() {
 }
 
 m_central_as () {
-    podman exec ovn-central "$@"
+    podman exec ovn-central-az1-1 "$@"
 }
 
 check_fake_multinode_setup() {
-    check m_as ovn-central ovn-nbctl --wait=sb sync
+    check m_as ovn-central-az1-1 ovn-nbctl --wait=sb sync
     AT_CHECK([m_as ovn-chassis-1 ovn-appctl -t ovn-controller version], [0], [ignore])
     AT_CHECK([m_as ovn-chassis-2 ovn-appctl -t ovn-controller version], [0], [ignore])
     AT_CHECK([m_as ovn-gw-1 ovn-appctl -t ovn-controller version], [0], [ignore])
@@ -62,9 +62,9 @@ check_fake_multinode_setup() {
 }
 
 cleanup_multinode_resources() {
-    m_as ovn-central rm -f /etc/ovn/ovnnb_db.db
-    m_as ovn-central /usr/share/ovn/scripts/ovn-ctl restart_northd
-    check m_as ovn-central ovn-nbctl --wait=sb sync
+    m_as ovn-central-az1-1 rm -f /etc/ovn/ovnnb_db.db
+    m_as ovn-central-az1-1 /usr/share/ovn/scripts/ovn-ctl restart_northd
+    check m_as ovn-central-az1-1 ovn-nbctl --wait=sb sync
     for c in ovn-chassis-1 ovn-chassis-2 ovn-gw-1
     do
         m_as $c ovs-vsctl del-br br-int
@@ -73,7 +73,7 @@ cleanup_multinode_resources() {
 }
 
 multinode_nbctl () {
-    m_as ovn-central ovn-nbctl "$@"
+    m_as ovn-central-az1-1 ovn-nbctl "$@"
 }
 
 # m_count_rows TABLE [CONDITION...]
diff --git a/tests/multinode.at b/tests/multinode.at
index a0eb8fc67..408e1118d 100644
--- a/tests/multinode.at
+++ b/tests/multinode.at
@@ -15,8 +15,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -61,7 +61,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::4/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::4/64 1000::a
 
 m_wait_for_ports_up sw1-port1
 
@@ -109,8 +109,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -138,7 +138,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 # create exteranl connection for N/S traffic
 check multinode_nbctl ls-add public
@@ -257,8 +257,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -286,7 +286,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 # create exteranl connection for N/S traffic
 check multinode_nbctl ls-add public
@@ -386,8 +386,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -415,7 +415,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 # create exteranl connection for N/S traffic
 check multinode_nbctl ls-add public
@@ -528,8 +528,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -557,7 +557,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 # create exteranl connection for N/S traffic
 check multinode_nbctl ls-add public
@@ -663,8 +663,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -692,7 +692,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 # create exteranl connection for N/S traffic
 check multinode_nbctl ls-add public
@@ -816,8 +816,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -845,7 +845,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 # create exteranl connection for N/S traffic
 check multinode_nbctl ls-add public
@@ -971,8 +971,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 # Create the second logical switch with one port
 check multinode_nbctl ls-add sw1
@@ -993,7 +993,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 check multinode_nbctl lr-nat-add lr0 snat 172.20.0.100 10.0.0.0/24
 check multinode_nbctl lr-nat-add lr0 snat 172.20.0.100 20.0.0.0/24
@@ -1072,8 +1072,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -1101,7 +1101,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 # create exteranl connection for N/S traffic
 check multinode_nbctl ls-add public
@@ -1126,7 +1126,7 @@ check multinode_nbctl lr-nat-add lr0 snat 172.20.0.100 20.0.0.0/24
 check multinode_nbctl lsp-add public public-port1
 check multinode_nbctl lsp-set-addresses public-port1 "60:54:00:00:00:03 172.168.0.50"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh public-port1 pubp1 60:54:00:00:00:03 172.20.0.50 24 172.20.0.100
+m_as ovn-chassis-1 /data/create_fake_vm.sh public-port1 pubp1 60:54:00:00:00:03 1342 172.20.0.50 24 172.20.0.100
 
 check multinode_nbctl --wait=hv sync
 
@@ -1267,8 +1267,8 @@ check multinode_nbctl lsp-set-addresses sw0-port1 "50:54:00:00:00:03 10.0.0.3 10
 check multinode_nbctl lsp-add sw0 sw0-port2
 check multinode_nbctl lsp-set-addresses sw0-port2 "50:54:00:00:00:04 10.0.0.4 1000::4"
 
-m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
+m_as ovn-chassis-1 /data/create_fake_vm.sh sw0-port1 sw0p1 50:54:00:00:00:03 1342 10.0.0.3 24 10.0.0.1 1000::3/64 1000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw0-port2 sw0p2 50:54:00:00:00:04 1342 10.0.0.4 24 10.0.0.1 1000::4/64 1000::a
 
 m_wait_for_ports_up
 
@@ -1296,7 +1296,7 @@ check multinode_nbctl lsp-set-type sw1-lr0 router
 check multinode_nbctl lsp-set-addresses sw1-lr0 router
 check multinode_nbctl lsp-set-options sw1-lr0 router-port=lr0-sw1
 
-m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
+m_as ovn-chassis-2 /data/create_fake_vm.sh sw1-port1 sw1p1 40:54:00:00:00:03 1342 20.0.0.3 24 20.0.0.1 2000::3/64 2000::a
 
 # create exteranl connection for N/S traffic
 check multinode_nbctl ls-add public